=== debian/changelog ===
dcm2niix (1:1.0.20181125-1~nd1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Applied additional patch from debian/patches/xenial-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 04 Dec 2018 10:01:42 -0500

dcm2niix (1:1.0.20181125-1~nd1) neurodebian; urgency=medium

  * Fresh upstream release with many fixes and enhancements
  * debian/copyright
    - updated years, removed unused Apache 2.0, and included a few
      entries based on info in Debian-Med packaging
  * debian/patches
    - removed -dsc-patch for elderly EOLed Ubuntu releases
  * debian/control
    - fix Vcs- fields to point to https://github.com/neurodebian/dcm2niix
  * debian/{rules,run_tests}
    - run tests under all dcm_qa* directories now
    - use host_arch "internal" variable instead of DEB_HOST_ARCH
  * debian/source/lintian-overrides
    - do not warn about *-dsc-patch files not be included in series
    - do not complain about public-domain in copyright since it is a
      known keyword

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Dec 2018 15:56:05 -0500

dcm2niix (1:1.0.20180622-1) neurodebian; urgency=medium

  * Fresh upstream bugfix release
    - addresses a bug with a small subset of Philips Enhanced DICOM
      DTI datasets

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2018 22:17:55 -0400

dcm2niix (1:1.0.20180614-1) neurodebian; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Jun 2018 08:41:25 +0800

dcm2niix (1:1.0.20180404+git118-g3762cc0-1) UNRELEASED; urgency=medium

  * Fresh upstream pre-release snapshot
  * debian/
    - rules - enable USE_JPEGLS support for JPEG-LS transfer syntax
      (on systems with recent g++)
    - patches/
      - deb_usepkgconfig_find_yaml to use pkgconfig to locate yaml-cpp

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jun 2018 12:57:38 -0700

dcm2niix (1:1.0.20171215+git34-gb641a58-1) neurodebian; urgency=medium

  * New upstream snapshot
    - addresses some defects/test failures on i386
  * debian/
    - disable openjpeg support - results for JPEG2000 might be inconsistent
      and this is a strategy which was recommended by upstream to mitigate
      failing tests etc.
  * debian/patches/up_pass_CFLAGS_superbuild, debian/rules
    - set C*_FLAGS to -mmmx -msse -msse2 -mfpmath=sse to guarantee the same
      precision on x86 platforms

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Apr 2018 09:21:42 -0400

dcm2niix (1:1.0.20171215+git31-gca911aa-1) UNRELEASED; urgency=medium

  * New upstream snapshot from v1.0.20171215-31
  * debian/
    - gbp.conf - include git submodules into .orig.tar.gz (dcm_qa)
    - run tests under dcm_qa using built dcm2niix

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Apr 2018 19:24:25 -0400

dcm2niix (1:1.0.20171215+git8-g82b9210-1) neurodebian; urgency=medium

  * Fresh upstream snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Jan 2018 23:40:39 -0500
