## dcm2niix 1.0.20190902

=== debian/changelog ===
dcm2niix (1:1.0.20190902-1~nd18.10+1) cosmic; urgency=medium

  * Backported for cosmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 21 Oct 2019 10:41:30 -0400

dcm2niix (1:1.0.20190902-1) neurodebian; urgency=medium

  * New upstream release
  * debian/patches/up_batch_setx - refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Oct 2019 20:19:55 -0400

dcm2niix (1:1.0.20190720-1) neurodebian; urgency=medium

  * Fresh stable upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Aug 2019 10:23:20 -0400

dcm2niix (1:1.0.20190410-1~nd1) neurodebian; urgency=medium

  * Fresh upstream release
    - more testing datasets (dcm_qa*) - might want to start excluding them
      from source tarball and relying on fetching during (neurodebian)
      package build time

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Apr 2019 16:05:44 -0400

dcm2niix (1:1.0.20181125-1~nd2) neurodebian; urgency=medium

  * Enable OpenJPEG back (on amd64 only) as we ran into the case with
    JPEG2000 images which otherwise cannot be handled.  On i386 it
    still segfaults during tests so openjpeg is enabled only on amd64

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Jan 2019 11:40:24 -0500
