=== debian/changelog ===
dcm2niix (1.0.20201102-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 13 Nov 2020 13:38:20 +0530
