## dcm2niix 1.0.20211006

=== console/CMakeLists.txt ===
--- 
+++ 
@@ -53,10 +53,15 @@
 # Compiler dependent flags
 include (CheckCXXCompilerFlag)
 if(UNIX)
-    check_cxx_compiler_flag(-msse2 HAS_SSE2)
-    if(HAS_SSE2)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -mfpmath=sse")
-    endif()
+    check_cxx_compiler_flag(-march=armv8-a+crc ARM_CRC)
+    if(ARM_CRC)
+        # wrong answer for Apple Silicon: check_cxx_compiler_flag(-msse2 HAS_SSE2)
+    else()
+	    check_cxx_compiler_flag(-msse2 HAS_SSE2)
+	    if(HAS_SSE2)
+	        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -mfpmath=sse")
+	    endif()
+	endif()
 endif()
 
 set(PROGRAMS dcm2niix)
