=== debian/changelog ===
dcm2niix (1:1.0.20211006-1~nd21.04+1) hirsute; urgency=medium

  * Backported for hirsute.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 08 Oct 2021 15:03:06 -0400

dcm2niix (1:1.0.20211006-1) neurodebian; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Oct 2021 13:53:28 -0400

dcm2niix (1.0.20210317+git207-g66a4fd0-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from v1.0.20200427-207-g66a4fd0 at
    v1.0.20200427-207-g66a4fd0
    - since it is just a devel stage, regression tests are doomed to fail,
      thus failure is ignored

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Aug 2021 14:07:25 -0400

dcm2niix (1:1.0.20210317-1) neurodebian; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Apr 2021 08:37:28 -0400

dcm2niix (1.0.20201102+git97-g0587941-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from v1.0.20200427-97-g0587941 at
    v1.0.20200427-97-g0587941

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Dec 2020 13:15:59 -0500

dcm2niix (1:1.0.20201102-1) neurodebian; urgency=medium

  * Recent upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Dec 2020 18:08:10 -0500

dcm2niix (1:1.0.20200427-1) neurodebian; urgency=medium

  * Fresh non-official release from development branch, which should
    address regression of having some functional scans from Philips
    being split into multiple files. See https://github.com/rordenlab/dcm2niix/issues/395

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Apr 2020 22:45:10 -0400

dcm2niix (1:1.0.20200331-1) neurodebian; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Apr 2020 15:39:11 -0400
