=== debian/control ===
Source: dcm2niix
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9~),
               cmake,
               pkg-config,
               libboost-dev,
               libturbojpeg0-dev,
               libopenjp2-7-dev,
               libyaml-cpp-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://github.com/neurodebian/dcm2niix
Vcs-Git: https://github.com/neurodebian/dcm2niix
Homepage: https://github.com/rordenlab/dcm2niix

Package: dcm2niix
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends},
         ${misc:Depends}
Description: converts DICOM and PAR/REC files into the NIfTI format
 This is the successor of the well-known dcm2nii program. it aims to provide
 same functionality albeit with much faster operation.
 This is a new tool that is not yet well tested, and does not handle ancient
 proprietary formats. Use with care.
