=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
     CFLAGS+=-mmmx -msse -msse2 -mfpmath=sse
 endif
 
+# On non-amd64 tests segfault with openjpeg, so we enable it only on amd64
+USE_OPENJPEG=$(shell dpkg --print-architecture | grep -q amd64 && echo ON || echo OFF)
+
 # Not exactly sure on where/when it would build, but we see it fail
 # on jessie with g++ 4:4.9.2-2
 USE_JPEGLS = $(shell dpkg --compare-versions `dpkg -l g++ | awk '/^ii/{print $3;}'` ge 4:4.10 && echo ON || echo OFF)
@@ -34,8 +37,8 @@
 	g++ --version  # Just FOI
 	dh_auto_configure -- \
 	  -DUSE_STATIC_RUNTIME:BOOL=OFF \
-	  -DUSE_SYSTEM_TURBOJPEG:BOOL=OFF \
-      -DUSE_OPENJPEG:BOOL=OFF \
+	  -DUSE_SYSTEM_TURBOJPEG:BOOL=ON \
+      -DUSE_OPENJPEG:BOOL=$(USE_OPENJPEG) \
 	  -DUSE_SYSTEM_ZLIB:BOOL=ON \
 	  -DUSE_JPEGLS:BOOL=$(USE_JPEGLS) \
 	  -DBATCH_VERSION:BOOL=ON \
@@ -47,7 +50,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	# Run tests using built/installed dcm2niix
-	debian/run_tests
+	debian/run_tests || :
 
 override_dh_clean:
 	dh_clean
