## dcm2niix 1.0.20220720

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 2.8.12)
 
 if(COMMAND CMAKE_POLICY)
     CMAKE_POLICY(SET CMP0003 NEW)
