=== debian/changelog ===
dcm2niix (1.0.20220720-1build1) mantic; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 07:18:24 +0200

dcm2niix (1.0.20220720-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version

  [ Mohammed Bilal ]
  * Fix hashsum mismatch for autopkgtest

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 12 Aug 2022 20:51:12 +0530

dcm2niix (1.0.20211006-5) unstable; urgency=medium

  * Team upload.
  * Fix s390 autopkgtest failure (Closes: #1012336)

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 20 Jul 2022 07:56:24 +0530

dcm2niix (1.0.20211006-4) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Mon, 23 May 2022 20:43:01 +0200

dcm2niix (1.0.20211006-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests
  * Install examples
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Remove test data & use multi-orig tarball instead
  * Add script to fetch test data
  * New upstream version 1.0.20211006
  * d/t/: Update tests
  * Add copyright for test data

 -- Mohammed Bilal <mdbilal@disroot.org>  Mon, 23 May 2022 15:23:34 +0530

dcm2niix (1.0.20211006-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Team upload.
  * Fix FTCBFS: Annotate python3-sphinx build dependency with :native.
    (Closes: #1010532)

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2022 21:28:51 +0200

dcm2niix (1.0.20211006-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.20211006
  * Update copyright metadata
  * Promote pigz to Recommends
  * Raise standards version to 4.6.0

 -- Ghislain Vaillant <ghisvail@gmail.com>  Sun, 10 Oct 2021 21:33:59 +0200

dcm2niix (1.0.20210317-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:16:00 +0530
