=== debian/changelog ===
dcm2niix (1:1.0.20240202-1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 25 Apr 2024 17:52:13 -0400

dcm2niix (1:1.0.20240202-1) neurodebian; urgency=medium

  * Recentish upstream release
  * debian/patches: updated and one dropped (upstreamed)
  * debian/rules:
    - updated cmake invocation to point to System versions of the libraries

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Apr 2024 16:30:07 -0400

dcm2niix (1:1.0.20220720-1) neurodebian; urgency=medium

  * Fresh upstream release. Patches refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Aug 2022 15:58:27 -0400
