=== debian/changelog ===
dcm2niix (1.0.20241211-1) unstable; urgency=medium

  * New upstream version 1.0.20241211
  * d/control: indicate that architecture-is-little-endian.
  * d/t/get-test-data: add checks to compensate fragile implementation.
  * d/README.source: new: document import of debian-test-data.
  * d/control: declare compliance to standards version 4.7.1.
  * d/t/run-unit-test: update control sums to match new reference results.

 -- Étienne Mollier <emollier@debian.org>  Tue, 25 Feb 2025 21:18:28 +0100

dcm2niix (1.0.20240202-1) unstable; urgency=medium

  * New upstream version 1.0.20240202 fixes: CVE-2024-27629 (Closes: #1074534)
  * d/t/get-test-data: fix multiple issues in the download script.
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/t/run-unit-test: freshen expected test result to newer algorithms.
  * d/control: migrate from pkg-config to pkgconf.

 -- Étienne Mollier <emollier@debian.org>  Tue, 06 Aug 2024 14:17:11 +0200
