=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: dcm2niix
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               architecture-is-little-endian,
                libopenjp2-7-dev,
                libturbojpeg0-dev,
                libyaml-cpp-dev,
-               pkg-config,
+               pkgconf,
                python3-sphinx:native,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/med-team/dcm2niix
 Vcs-Git: https://salsa.debian.org/med-team/dcm2niix.git
 Homepage: https://github.com/rordenlab/dcm2niix
