=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v@ANY_VERSION@\.tar\.gz/dcm2niix-$1\.tar\.gz/ \
https://github.com/rordenlab/dcm2niix/tags .*/v@ANY_VERSION@\.tar\.gz
