## dcm2niix 1.0.20250506

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 
 if(COMMAND CMAKE_POLICY)
     CMAKE_POLICY(SET CMP0003 NEW)
