=== debian/changelog ===
dcm2niix (1.0.20250506-1) unstable; urgency=medium

  * Team upload.
  * Fix Build with CMake 4
    Closes: #1112830
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 11:29:53 +0200
