=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic

%:
	dh $@ --sourcedirectory=console --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -rf build/man

override_dh_auto_configure:
	dh_auto_configure -- -DBATCH_VERSION=ON \
		-DUSE_STATIC_RUNTIME=OFF \
		-DUSE_SYSTEM_ZLIB=ON \
		-DUSE_OPENJPEG=ON \
		-DUSE_TURBOJPEG=ON \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_build:
	dh_auto_build
	sphinx-build -N -b man docs/source build/man

override_dh_installchangelogs:
	dh_installchangelogs VERSIONS.md
