=== debian/watch ===
Version: 5

Template: Github
Owner: rordenlab
Project: dcm2niix
Uversion-Mangle: s/20160606/1.0.20160606/
